From c69493cfa27687e17b77f1f93af71b435f8f7ad6 Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Fri, 13 May 2022 20:16:05 +0200
Subject: [PATCH 12/30] Fix g_slurm_auth_create in _stepd_connect_legacy

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/common/stepd_api.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/src/common/stepd_api.c b/src/common/stepd_api.c
index 8f68a09e28..2aa35e7445 100644
--- a/src/common/stepd_api.c
+++ b/src/common/stepd_api.c
@@ -250,7 +250,8 @@ stepd_connect(const char *directory, const char *nodename,
 	buffer = init_buf(0);
 	/* Create an auth credential */
 	auth_info = slurm_get_auth_info();
-	auth_cred = g_slurm_auth_create(auth_info);
+	auth_cred = g_slurm_auth_create(auth_info,
+					slurm_get_slurmd_user_id(), NULL, 0);
 	xfree(auth_info);
 	if (auth_cred == NULL) {
 		error("Creating authentication credential: %s",
-- 
2.35.3


